import { CustomResource, Duration } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export declare enum HttpMethod {
    GET = "GET",
    PUT = "PUT",
    POST = "POST"
}
export interface PingerProps {
    readonly url: string;
    /**
     * The HTTP Method.
     * @default HttpMethod.GET
     */
    readonly method?: HttpMethod;
    /**
     * Timeout
     *
     * @default 1 minutes
     */
    readonly timeout?: Duration;
    /**
     * HTTP DATA
     *
     * @default - no http data used
     */
    readonly data?: Record<string, string>;
}
export declare class Pinger extends Construct {
    readonly resource: CustomResource;
    readonly httpStatus: string;
    readonly htmlTitle: string;
    readonly url: string;
    readonly body: string;
    constructor(scope: Construct, id: string, props: PingerProps);
}
